## ros-kinetic-hsr-description 1.1.0

=== CMakeLists.txt ===
# Copyright (C) 2016 Toyota Motor Corporation
# vim: fileencoding=utf-8 :
cmake_minimum_required(VERSION 2.8.3)
project(hsr_description)

find_package(catkin REQUIRED COMPONENTS rosbash xacro)


file(GLOB_RECURSE _component_xacros "${PROJECT_SOURCE_DIR}/urdf/*.xacro")

function(generate_urdf)
    cmake_parse_arguments(ARG "" "XACRO;SUFFIX" "DEPENDS;XACRO_ARGS" ${ARGN})
    get_filename_component(_dir ${ARG_XACRO} PATH)
    get_filename_component(_name ${ARG_XACRO} NAME_WE)
    set(_xacro ${ARG_XACRO})
    set(_urdf "${_dir}/${_name}${ARG_SUFFIX}.urdf")
    string(REPLACE ";" " " _extra_args "${ARG_XACRO_ARGS}")
    string(REPLACE ";" " " _depends "${ARG_DEPENDS}")
    add_custom_command(
        OUTPUT ${_urdf}
        DEPENDS ${_xacro} ${ARG_DEPENDS}
        COMMAND ${CATKIN_DEVEL_PREFIX}/env.sh rosrun xacro xacro ${_xacro} ${_extra_args} > ${_urdf})
    add_custom_target(${PROJECT_NAME}_${_name}${ARG_SUFFIX}_generate_urdf ALL DEPENDS ${_urdf})
endfunction()

generate_urdf(XACRO "${PROJECT_SOURCE_DIR}/robots/hsrb4s.urdf.xacro"
              DEPENDS ${_component_xacros})
generate_urdf(XACRO "${PROJECT_SOURCE_DIR}/robots/hsrb4s.urdf.xacro"
              SUFFIX ".obj"
              DEPENDS ${_component_xacros}
              XACRO_ARGS use_obj_for_visual:=true)

catkin_package(CATKIN_DEPENDS xacro)

install(DIRECTORY launch robots urdf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/)

=== debian/changelog ===
ros-kinetic-hsr-description (1.1.0-0xenial) xenial; urgency=high

  * Support Wavefront OBJ format meshes
    Fixed CMakeLists for install
  * Initial commit
  * Contributors: Akiyoshi Ochiai, Yutaka Takaoka

 -- Koji Terada <koji_terada@mail.toyota.co.jp>  Tue, 25 Sep 2018 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-hsr-description
Section: misc
Priority: extra
Maintainer: Koji Terada <koji_terada@mail.toyota.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rosbash, ros-kinetic-xacro
Homepage: None
Standards-Version: 3.9.2

Package: ros-kinetic-hsr-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-hsr-meshes, ros-kinetic-joint-state-publisher, ros-kinetic-robot-state-publisher, ros-kinetic-rosbash, ros-kinetic-rviz, ros-kinetic-xacro
Description: URDF files for Toyota HSR

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-hsr-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
